import { flags } from '@oclif/command';
import request from 'request';
import { Command } from '../command';
/**
 * Extract command.
 */
export default class Extract extends Command {
    /**
     * Aliases.
     */
    static readonly aliases: string[];
    /**
     * Description.
     */
    static description: string;
    /**
     * Examples.
     */
    static examples: never[];
    /**
     * Flags.
     */
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        format: flags.IOptionFlag<string | undefined>;
        input: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        timeout: import("@oclif/parser/lib/flags").IOptionFlag<number>;
    };
    /**
     * Arguments.
     */
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    /**
     * Handler.
     */
    run(): Promise<void>;
    /**
     * Handle an individual source.
     *
     * @param source The source.
     * @param req Request object.
     * @param format Output format.
     */
    protected _handleSource(source: string, req: typeof request, format: string): Promise<void>;
}
